// Copyright (c) 2002 Cunningham & Cunningham, Inc.
// Released under the terms of the GNU General Public License version 2 or later.

using System;
using System.Collections;

namespace fit
{
	public class Summary : Fixture 
	{

		public override void doTable(Parse table) 
		{
			summary["counts"] = counts();
			SortedList entries = new SortedList(summary);
			table.parts.more = rows(entries);
		}

		static Parse rows(ICollection entries) 
		{
			Parse row = null;
			foreach (DictionaryEntry entry in entries)
			{
				row = 
					tr(
						td(entry.Key.ToString(),
						td(entry.Value.ToString(), null)),
					row);
			}
			return row;
		}

		static Parse tr(Parse parts, Parse more) 
		{
			return new Parse ("tr", null, parts, more);
		}

		static Parse td(string body, Parse more) 
		{
			return new Parse ("td", body, null, more);
		}
	}
}